.TH HG ARCHIVE  "" "" ""
.SH NAME
hg archive \- create an unversioned archive of a repository revision
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg archive [OPTION]... DEST
.ft P
.fi
.SH DESCRIPTION
.sp
By default, the revision used is the parent of the working
directory; use \-r/\-\-rev to specify a different revision.
.sp
The archive type is automatically detected based on file
extension (to override, use \-t/\-\-type).
.sp
Examples:
.INDENT 0.0
.IP \(bu 2
.
create a zip file containing the 1.0 release:
.sp
.nf
.ft C
hg archive \-r 1.0 project\-1.0.zip
.ft P
.fi
.IP \(bu 2
.
create a tarball excluding .hg files:
.sp
.nf
.ft C
hg archive project.tar.gz \-X ".hg*"
.ft P
.fi
.UNINDENT
.sp
Valid types are:
.INDENT 0.0
.TP
.B \fBfiles\fP
.sp
a directory full of files (default)
.TP
.B \fBtar\fP
.sp
tar archive, uncompressed
.TP
.B \fBtbz2\fP
.sp
tar archive, compressed using bzip2
.TP
.B \fBtgz\fP
.sp
tar archive, compressed using gzip
.TP
.B \fBtxz\fP
.sp
tar archive, compressed using lzma (only in Python 3)
.TP
.B \fBuzip\fP
.sp
zip archive, uncompressed
.TP
.B \fBzip\fP
.sp
zip archive, compressed using deflate
.UNINDENT
.sp
The exact name of the destination archive or directory is given
using a format string; see \%\fBhg help export\fP\: for details.
.sp
Each member added to an archive file has a directory prefix
prepended. Use \-p/\-\-prefix to specify a format string for the
prefix. The default is the basename of the archive, with suffixes
removed.
.sp
Returns 0 on success.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-\-no\-decode
.
do not pass files through decoders
.TP
.BI \-p,  \-\-prefix \ <PREFIX>
.
directory prefix for files in archive
.TP
.BI \-r,  \-\-rev \ <REV>
.
revision to distribute
.TP
.BI \-t,  \-\-type \ <TYPE>
.
type of distribution to create
.TP
.B \-S,  \-\-subrepos
.
recurse into subrepositories
.TP
.BI \-I,  \-\-include \ <PATTERN[+]>
.
include names matching the given patterns
.TP
.BI \-X,  \-\-exclude \ <PATTERN[+]>
.
exclude names matching the given patterns
.UNINDENT
.sp
[+] marked option can be specified multiple times
.\" Generated by docutils manpage writer.
.\" 
.
